searchData={"items":[{"type":"module","title":"Makeup.Lexers.HTMLLexer","doc":"Lexer for the HTML language to be used\nwith the Makeup package.","ref":"Makeup.Lexers.HTMLLexer.html"},{"type":"function","title":"Makeup.Lexers.HTMLLexer.root/2","doc":"Parses the given `binary` as root.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Makeup.Lexers.HTMLLexer.html#root/2"},{"type":"function","title":"Options - Makeup.Lexers.HTMLLexer.root/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Makeup.Lexers.HTMLLexer.html#root/2-options"},{"type":"function","title":"Makeup.Lexers.HTMLLexer.root_element/2","doc":"Parses the given `binary` as root_element.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the root_element (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"Makeup.Lexers.HTMLLexer.html#root_element/2"},{"type":"function","title":"Options - Makeup.Lexers.HTMLLexer.root_element/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"Makeup.Lexers.HTMLLexer.html#root_element/2-options"},{"type":"extras","title":"MakeupHTML","doc":"# MakeupHTML\n\n![CI](https://github.com/elixir-makeup/makeup_html/actions/workflows/ci.yml/badge.svg)\n\nA [Makeup](https://github.com/elixir-makeup/makeup/) lexer for the `HTML` language.\n\nIf you want to syntax highlight (H)EEx templates, see [`makeup_eex`](https://github.com/makeup/makeup_eex).\n\nIf you want to highlight HTML, including any CSS and JavaScript within, see [`makeup_syntect`](https://github.com/steffenDE/makeup_syntect).","ref":"readme.html"},{"type":"extras","title":"Installation - MakeupHTML","doc":"Add `makeup_html` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:makeup_html, \"~> 0.1.0\"}\n  ]\nend\n```\n\nThe lexer will automatically register itself with `Makeup` for the HTML language as well as the `.html` extension.","ref":"readme.html#installation"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.0"}}